Package org.opengis.cite.ogcapifeatures10.conformance.crs.query.bboxcrs

# Class AbstractBBoxCrs

java.lang.Object
org.opengis.cite.ogcapifeatures10.conformance.CommonFixture
org.opengis.cite.ogcapifeatures10.conformance.crs.query.bboxcrs.AbstractBBoxCrs

Direct Known Subclasses:
  `BBoxCrsParameter`, `BBoxCrsParameterDefault`, `BBoxCrsParameterInvalid`

public class AbstractBBoxCrs extends CommonFixture

AbstractBBoxCrs class.

Author:
  Lyn Goltz

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BBOX_CRS_PARAM`
  Constant `BBOX_CRS_PARAM="bbox-crs"`
  `static final String`
  `BBOX_PARAM`
  Constant `BBOX_PARAM="bbox"`
  `protected Map<String,List<CoordinateSystem>>`
  `collectionIdToCrs`
  `protected Map<String,CoordinateSystem>`
  `collectionIdToDefaultCrs`
  `protected Map<String,io.restassured.path.json.JsonPath>`
  `collectionsResponses`

  ### Fields inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

  `requestLoggingFilter, responseLoggingFilter, rootUri`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractBBoxCrs()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `(package private) void`
  `assertSameFeatures(io.restassured.path.json.JsonPath responseWithBBox, io.restassured.path.json.JsonPath responseWithoutBBox)`
  `void`
  `retrieveRequiredInformationFromTestContext(org.testng.ITestContext testContext)`
  retrieveRequiredInformationFromTestContext.

  ### Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

  `clearMessages, getRequest, getResponse, init, initCommonFixture`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### BBOX_PARAM

    public static final String BBOX_PARAM
    Constant `BBOX_PARAM="bbox"`
    See Also:
      - Constant Field Values

  - ### BBOX_CRS_PARAM

    public static final String BBOX_CRS_PARAM
    Constant `BBOX_CRS_PARAM="bbox-crs"`
    See Also:
      - Constant Field Values

  - ### collectionsResponses

    protected Map<String,io.restassured.path.json.JsonPath> collectionsResponses

  - ### collectionIdToCrs

    protected Map<String,List<CoordinateSystem>> collectionIdToCrs

  - ### collectionIdToDefaultCrs

    protected Map<String,CoordinateSystem> collectionIdToDefaultCrs

- ## Constructor Details

  - ### AbstractBBoxCrs

    public AbstractBBoxCrs()

- ## Method Details

  - ### retrieveRequiredInformationFromTestContext

    @BeforeClass public void retrieveRequiredInformationFromTestContext(org.testng.ITestContext testContext)

    retrieveRequiredInformationFromTestContext.

    Parameters:
      `testContext` - a `ITestContext` object

  - ### assertSameFeatures

    void assertSameFeatures(io.restassured.path.json.JsonPath responseWithBBox, io.restassured.path.json.JsonPath responseWithoutBBox)